Bug 214239 - cad/freecad: update to last snapshot and fix runtime dependencies
Summary: cad/freecad: update to last snapshot and fix runtime dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-05 12:16 UTC by Thibault Jouan
Modified: 2017-01-09 00:48 UTC (History)
2 users (show)

See Also:
pfg: maintainer-feedback+


Attachments
Update cad/freecad port runtime dependencies (522 bytes, patch)
2016-11-05 12:16 UTC, Thibault Jouan
no flags Details | Diff
update cad/freecad port (1.34 KB, patch)
2016-11-07 00:39 UTC, Thibault Jouan
no flags Details | Diff
Update `cad/freecad' port (1.71 KB, patch)
2016-11-07 01:00 UTC, Thibault Jouan
no flags Details | Diff
Update `cad/freecad' port (7.06 KB, patch)
2016-12-25 06:52 UTC, Pedro F. Giffuni
no flags Details | Diff
Update `cad/freecad' port (8.32 KB, patch)
2017-01-04 18:11 UTC, Thibault Jouan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Jouan 2016-11-05 12:16:25 UTC
Created attachment 176654 [details]
Update cad/freecad port runtime dependencies

The FreeCAD "Arch" and "Draft" modules require python pivy at
runtime, else they fail to load and FreeCAD print this to standard
output:

    Draft workbench Error: Pivy not found, Draft workbench will be disabled

  Just installing `graphics/py-pivy' fixes the issue.

  I noticed a new update for the port is being done in bug 213815, I
can wait that it is merged and then update my patch.

  I'm not 100% sure PORTREVISION needs to be bumped, I can remove from
patch if not needed.
Comment 1 Pedro F. Giffuni freebsd_committer 2016-11-05 14:34:48 UTC
(In reply to Thibault Jouan from comment #0)

The change is fine, however you can/should avoid bumping the port revision by updating the port to the latest snapshot (Just use the latest GH_TAGNAME and date for that change).

BTW, "make check-plist" is your friend when updating the port ;).
Comment 2 Thibault Jouan 2016-11-07 00:38:15 UTC
(In reply to Pedro F. Giffuni from comment #1)
> The change is fine, however you can/should avoid bumping the port revision
> by updating the port to the latest snapshot (Just use the latest GH_TAGNAME
> and date for that change).

  Done: I updated to today last snapshot and quickly tested it. No
change in plist this time.

  Thanks again for your tips, and following our discussion I updated
the patch with maintainer change (me).

  The updated patch has those changes:

    * Update to 20161104 snapshot;
    * Set myself as maintainer;
    * Add python pivy as a runtime dependency, which is needed for arch and
      draft modules.
Comment 3 Thibault Jouan 2016-11-07 00:39:50 UTC
Created attachment 176708 [details]
update cad/freecad port
Comment 4 Thibault Jouan 2016-11-07 01:00:13 UTC
Created attachment 176709 [details]
Update `cad/freecad' port

New patch fixes this warning:

    Makefile warning: in desktop entry #1 (FreeCAD): field 5
    (Categories) must contain at least one main desktop category (make
    -VDESKTOP_CATEGORIES_MAIN)

--

* Update to 20161104 snapshot;
* Set myself as maintainer;
* Add python pivy as a runtime dependency, which is needed for arch and
  draft modules;
* Fix desktop entry warning.
Comment 5 Pedro F. Giffuni freebsd_committer 2016-11-07 02:33:08 UTC
Return to the pool: I am not a ports committer and I am not maintaining this anymore.
Comment 6 Pedro F. Giffuni freebsd_committer 2016-12-25 06:52:58 UTC
Created attachment 178254 [details]
Update `cad/freecad' port

I wondered why this had been holding for so long, so I took a look and updated it further:

- the previous patch wouldn't apply cleanly.
- The new maintainer address seemed wrong.
- I don't agree that the application belongs in "Science". Take some time to think about  it and update later if you still think it should be there.

Merry Christmas!
Comment 7 Thibault Jouan 2016-12-29 12:58:47 UTC
(In reply to Pedro F. Giffuni from comment #6)
> - The new maintainer address seemed wrong.

  Original address was OK, but new one is fine too.

> - I don't agree that the application belongs in "Science". Take some time to
> think about  it and update later if you still think it should be there.

  OK to update this later. I think we need "one main desktop
category", at least to avoid the warning, but I don't really care
which one.


  Regarding the update, I built the port using your patch and used
FreeCAD for a few hours, everything looks good. Thank you for this
update!

  This is another subject, but FYI I also worked on a patch to enable
collada import. I can submit it later if we get pycollada in the port
tree, see bug #214318.
Comment 8 Thibault Jouan 2017-01-04 17:59:35 UTC
(In reply to Thibault Jouan from comment #7)
> (In reply to Pedro F. Giffuni from comment #6)
> > - The new maintainer address seemed wrong.
> 
>   Original address was OK, but new one is fine too.

It was *NOT* OK, I noticed it only now :-(

Will fix with a new update.
Comment 9 Thibault Jouan 2017-01-04 18:11:44 UTC
Created attachment 178517 [details]
Update `cad/freecad' port

New patch with more recent snapshot.

--

* Update to 20170104 snapshot;
* Set myself as maintainer;
* Add python pivy as a runtime dependency, which is needed for arch and
  draft modules.
Comment 10 commit-hook freebsd_committer 2017-01-08 11:22:47 UTC
A commit references this bug:

Author: wen
Date: Sun Jan  8 11:22:16 UTC 2017
New revision: 430862
URL: https://svnweb.freebsd.org/changeset/ports/430862

Log:
  - Update to 20170104 snapshot
  - Pass maintainership to submitter
  - Add python pivy as a runtime dependency

  PR:		214239
  Submitted by:	tj+freebsd_bugs@a13.fr

Changes:
  head/cad/freecad/Makefile
  head/cad/freecad/distinfo
  head/cad/freecad/pkg-plist